/* $Id: plugin-mgcp.c 17300 2006-02-14 14:51:18Z jmayer $
 *
 * Module wrapper: Turn a normal dissector into a plugin
 *
 * Ethereal - Network traffic analyzer
 * By Gerald Combs <gerald@ethereal.com>
 * Copyright 1998 Gerald Combs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#ifndef ENABLE_STATIC

#ifdef PACKAGE
# undef PACKAGE
#endif
#ifdef VERSION
# undef VERSION
#endif

/* Name of plugin */
#define PACKAGE "mgcp"
/* Version number of package */
#define VERSION "0.0.10"

#include <gmodule.h>
#include <glib.h>
#include <epan/nstime.h>

#include "packet-mgcp.h"

G_MODULE_EXPORT const gchar version[] = VERSION;

G_MODULE_EXPORT void plugin_register(void)
{
    /* register the new protocol, protocol fields, and subtrees */
    proto_register_mgcp();
}

G_MODULE_EXPORT void plugin_reg_handoff(void){
    proto_reg_handoff_mgcp();
}
#endif /* ENABLE_STATIC */
